# sf::AudioResource Class Reference

Abstract base class for every class that owns a device-dependant resource -- allow them to initialize / shutdown even when the audio context is not created. More...

`#include <AudioResource.hpp>`

Inheritance diagram for sf::AudioResource:

List of all members.

## Protected Member Functions

| AudioResource ()
| Default constructor.
| AudioResource (const AudioResource &)
| Copy constructor.
virtual | ~AudioResource ()
| Destructor.

## Detailed Description

Abstract base class for every class that owns a device-dependant resource -- allow them to initialize / shutdown even when the audio context is not created.

Definition at line 41 of file AudioResource.hpp.

## Constructor & Destructor Documentation

sf::AudioResource::AudioResource | ( |  | ) | `[protected]`

Default constructor.

Definition at line 37 of file AudioResource.cpp.

sf::AudioResource::AudioResource | ( | const AudioResource & |  | ) | `[protected]`

Copy constructor.

Definition at line 46 of file AudioResource.cpp.

sf::AudioResource::~AudioResource | ( |  | ) | `[protected, virtual]`

Destructor.

Definition at line 55 of file AudioResource.cpp.

The documentation for this class was generated from the following files:

- AudioResource.hpp
- AudioResource.cpp